package org.studiorailgun.conversation.tracking;

import org.studiorailgun.conversation.categorization.SentenceFunctionCategorizor.SentenceFunction;

import edu.stanford.nlp.pipeline.CoreDocument;
import edu.stanford.nlp.semgraph.SemanticGraph;

/**
 * A quote stated during the conversation
 */
public class Quote {
    
    /**
     * The raw text of the quote
     */
    String raw;

    /**
     * The function of the sentence
     */
    SentenceFunction function;

    /**
     * The CoreNLP parsed document
     */
    CoreDocument parsedDocument;

    /**
     * The parsed semantic graph
     */
    SemanticGraph graph;

    /**
     * Constructor
     * @param input The raw text of the quote
     */
    public Quote(String input){
        this.raw = input;
    }

    /**
     * Gets the raw text of the quote
     * @return The raw text of the quote
     */
    public String getRaw(){
        return raw;
    }

    /**
     * Gets the function of the quote
     * @return The function
     */
    public SentenceFunction getFunction(){
        return function;
    }

    public void setFunction(SentenceFunction function){
        this.function = function;
    }

    public CoreDocument getParsedDocument() {
        return parsedDocument;
    }

    public void setParsedDocument(CoreDocument parsedDocument) {
        this.parsedDocument = parsedDocument;
    }

    public SemanticGraph getGraph() {
        return graph;
    }

    public void setGraph(SemanticGraph graph) {
        this.graph = graph;
    }

    
    

}
